package org.ts.ddcs.DataItemTemplate;

import org.ts.ddcs.Tool.BytesHelp;
import org.ts.ddcs.Tool.StringUtil;

import java.math.BigDecimal;

/**
 * 0xff06
 * 用户号
 */
@SuppressWarnings("all")
public class DataItemTemplateFF06 extends DataItemTemplate {
    public byte[] Stream(byte[] data) {
        byte[] remain = data;
        if (this.macth) {
            return remain;
        }
        int count = 0;
        String flag = BytesHelp.byte2HexStr(remain, count, 2);
        count += 2;
        if (flag.equals(this.feture)) {
            byte[] len = BytesHelp.subBytes(remain, count, 1);
            count += 1;
            int dataTotalLen = len[0] >> 3;
            int decimalLen = len[0] & 7;

            byte[] buff = BytesHelp.subBytes(remain, count, dataTotalLen);

            String hexStr = BytesHelp.byte2HexStr(buff);


            count += dataTotalLen;

           this.varcharValue=hexStr;
            remain = BytesHelp.subBytes(remain, count, remain.length - count);
            this.macth = true;
        }
        return remain;
    }
}
